/* ========================================================================
ベース構造
======================================================================== */

.single__title {
	font-size: 3.2rem;
}

/*記事のベース文字サイズを調整*/
.single__content * {
	font-size: 1.6rem;
}

h2.wp-block-heading {
	align-items: center;
	background-color: var(--key-color);
	border-radius: .4rem;
	box-sizing: border-box;
	color: var(--text-color-sub);
	display: flex;
	font-size: 2.4rem;
	margin: 7rem 0 1rem;
	padding: 0.6rem 2rem 0.4rem;
}
h3.wp-block-heading {
	font-size: 1.8rem;
	background: #F5F5F5;
	border-radius: 0.5rem;
	padding: 0.7rem 1.5rem 0.7rem 1.5rem;
	position: relative;
	margin: 4rem 0 2rem 0;
}
h3.wp-block-heading:before {
	content: '';
	position: absolute;
	border-left: solid 0.6rem var(--key-color);
	border-radius: 0.5rem 0 0 0.5rem;
	display: inline-block;
	width: 0.6rem;
	height: 100%;
	top: 0;
	left: 0;
}
.single__content h2,
.single__content h3 {
  scroll-margin-top: 80px;
}

.single__head {
	margin-bottom: 1rem;
}
.single__info {
	display: flex;
	align-items: center;
	padding-top: 0.8rem;
}
.single__category {
	display: flex;
}
.single__categoryItem {
	display: flex;
	align-items: center;
}
.single__categoryItem:after {
	content: "";
	display: block;
	margin: 0px 0.8rem 0px 0.3rem;
	background-color: #212121;
	width: 1px;
	height: 1rem;
}
.single__categoryLink {
	margin-right: 0.4rem;
}
.single__date {
	display: flex;
	gap: 1rem;
	align-items: center;
}

/* ========================================================================
目次
======================================================================== */
.toc {
	margin: 4rem auto 0;
}
.toc-title {
	background-color: var(--key-color);
	color: #fff;
	box-sizing: border-box;
	width: fit-content;
	padding: 1rem 3rem 0.8rem;
	border-radius: 0.8rem 0.8rem 0 0;
	font-weight: bold;
	letter-spacing: 0.1rem;
	font-size: 1.6rem;
	line-height: 1.6rem;
}
.tocList {
	padding: 2rem;
	box-sizing: border-box;
	border: 1px solid #E2E8EC;
	background: #FCFEFF;
	.h2 {
		font-size: 1.6rem;
		font-weight: bold;
		display: flex;
		gap: 0.4rem;
		align-items: center;
		margin-bottom: 0.4rem;
	}
	.h2:before {
		content: "-";
		display: block;
	}
	.h3 {
		font-size: 1.4rem;
		display: flex;
		gap: 0.4rem;
		align-items: center;
		margin-left: 1rem;
		margin-bottom: 0.4rem;
	}
	.h3:before {
		content: "-";
		display: block;
	}
	.h2 a,
	.h3 a {
		transition: 0.4s;
	}
	.h2:hover a,
	.h3:hover a {
		font-weight: bold;
		color: var(--key-color);
	}
}



/* ========================================================================
ブロックカスタマイズ（lazyBlocks）
======================================================================== */

/* コードエディタ
=====================================================*/
.code-wrapper {
  margin: 2em 0;
}

.code-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: #1e1e1e;
  color: #fff;
  padding: 6px 12px;
  font-size: 12px;
  border-radius: 6px 6px 0 0;
}

.code-type {
  font-weight: 600;
  letter-spacing: 0.05em;
}

.code-wrapper pre {
  margin: 0;
  border-radius: 0 0 6px 6px;
  font-size: 14px;
}
.code-wrapper .line-numbers {
	margin: 0;
}
.code-copy-label {
	color: #fff;
}












